<?php
/**
 * Echo the primary sidebar structural markup. It also calls the primary sidebar action hooks.
 *
 * @package SplendorStudio\Framework\Templates\Structure
 *
 * @since   1.0.0
 * @since   1.5.0 Added ID and tabindex for skip links.
 */

fancify_lite_open_markup_e(
	'fancify_lite_sidebar_primary',
	'aside',
	array(
		'class'     => 'fancify-primary ' . esc_attr( fancify_lite_get_layout_class( 'sidebar_primary' ) ),
		'id'        => 'fancify-primary-sidebar',
		'role'      => 'complementary',
		'itemscope' => 'itemscope',
		'itemtype'  => 'https://schema.org/WPSideBar',
		'tabindex'  => '-1',
	)
);

/**
 * Fires in the primary sidebar.
 *
 * @since 1.0.0
 */
do_action('fancify_lite_sidebar_primary');

fancify_lite_close_markup_e('fancify_lite_sidebar_primary', 'aside');